/*****************************************************************************
**               AMICCOM Electronics Corporation Document                   **
**          Copyright (c) 2018-2019 AMICCOM Electronics Corporation         **
*****************************************************************************/
#ifndef _DefineFlag_h_
#define _DefineFlag_h_

typedef struct
{
    union {
        __IO    uint32_t    DATA;
        
        struct
        {
            __IO uint32_t  MasterSend1Flag:1;
            __IO uint32_t  MasterSend2Flag:1;
            __IO uint32_t  MasterSlotSendFlag:1;
            __IO uint32_t  MasterUartOutFlag:1;
            __IO uint32_t  MasterProcessBusyFlag:1;
            __IO uint32_t  MasterSlotLinkFlag:1;
            __IO uint32_t  MasterUartTxFlag:1;
            __IO uint32_t  MasterSetTxFlag:1;
            __IO uint32_t  SlaveLinkModeFlag:1;
            __IO uint32_t  SlaveReceiveDataFlag:1;
            __IO uint32_t  SlaveSearchNodeFlag:1;
            __IO uint32_t  SlaveFsyncFlag:1;
            __IO uint32_t  SlaveOffsetTimeFlag:1;
            __IO uint32_t  SlaveProcessBusyFlag:1;
            __IO uint32_t  SlaveLinkRxFlag:1;
            __IO uint32_t  SlaveLinkAckFlag:1;
            __IO uint32_t  NodeModeFlag:1;
            __IO uint32_t  Timer1Flag:1;
            __IO uint32_t  CheckRssiFlag:1;
            __IO uint32_t  RssiNoOverFlag:1;
            __IO uint32_t  SlaveLinkTimeoutFlag:1;
            __IO uint32_t  SlaveAssignAckFlag:1;
            __IO uint32_t  SlaveDataModeCheckFlag:1;
            __IO uint32_t  SlaveUartTxFlag:1;
            __IO uint32_t  SlaveDataOkFlag:1;
            __IO uint32_t  MasterDataOkFlag:1;
            __IO uint32_t  SlaveTimeAlignmentFlag:1;
            __IO uint32_t  SlaveTimeAlignmentRxFlag:1;
            __IO uint32_t  SlaveLinkTimeAlignmentFlag:1;
            __IO uint32_t  SlaveLinkTimeAlignmentRxFlag:1;
            __IO uint32_t  SlaveLinkTimeAlignmentStartFlag:1;
            __IO uint32_t  SleepTimer0WakeupFlag:1;
        }bit;
    };
} FLAG_T;
/*

Uint8       bdata   StatFlag1 _at_ 0x20;
sbit        NoUse0Flag            = StatFlag1 ^ 0;
sbit               = StatFlag1 ^ 1;
sbit              = StatFlag1 ^ 2;
sbit        NoUse3Flag            = StatFlag1 ^ 3;
sbit        NoUse4Flag            = StatFlag1 ^ 4;
sbit        NoUse5Flag            = StatFlag1 ^ 5;
sbit        NoUse6Flag            = StatFlag1 ^ 6;
sbit        NoUse7Flag            = StatFlag1 ^ 7;

*/
/*
typedef struct
{
    union {
        __IO    uint32_t    DATA;
        
        struct
        {
            __IO uint32_t  RESERVE00:1;
            __IO uint32_t  RESERVE01:1;
            __IO uint32_t  RESERVE02:1;
            __IO uint32_t  RESERVE03:1;
            __IO uint32_t  RESERVE04:1;
            __IO uint32_t  RESERVE05:1;
            __IO uint32_t  RESERVE06:1;
            __IO uint32_t  RESERVE07:1;
            __IO uint32_t  RESERVE08:1;
            __IO uint32_t  RESERVE09:1;
            __IO uint32_t  RESERVE10:1;
            __IO uint32_t  RESERVE11:1;
            __IO uint32_t  RESERVE12:1;
            __IO uint32_t  RESERVE13:1;
            __IO uint32_t  RESERVE14:1;
            __IO uint32_t  RESERVE15:1;
            __IO uint32_t  RESERVE16:1;
            __IO uint32_t  RESERVE17:1;
            __IO uint32_t  RESERVE18:1;
            __IO uint32_t  RESERVE19:1;
            __IO uint32_t  RESERVE20:1;
            __IO uint32_t  RESERVE21:1;
            __IO uint32_t  RESERVE22:1;
            __IO uint32_t  RESERVE23:1;
            __IO uint32_t  RESERVE24:1;
            __IO uint32_t  RESERVE25:1;
            __IO uint32_t  RESERVE26:1;
            __IO uint32_t  RESERVE27:1;
            __IO uint32_t  RESERVE28:1;
            __IO uint32_t  RESERVE29:1;
            __IO uint32_t  RESERVE30:1;
            __IO uint32_t  RESERVE31:1;
        }bit;
    };
} MA0_FLAG2_T;
*/
#endif
