/*****************************************************************************
**               AMICCOM Electronics Corporation Document                   **
**          Copyright (c) 2011-2014 AMICCOM Electronics Corporation         **
**                                                                          **
**      A3,1F,No.1, Li-Hsin 1th Road, Science_Based Industrid Park,         **
**                       Hsin_Chu City, 300, Taiwan, ROC.                   **
**                 Tel: 886-3-5785818   Fax: 886-3-5785819                  **
**         E-mail:info@amiccom.com.tw  http: //www.amiccom.com.tw           **
*****************************************************************************/
#include "main.h"
#include "A9139M0.h"
#include "function.h"

/*********************************************************************
** NMI_Handler
*********************************************************************/
void NMI_Handler(void)
{
}

/*********************************************************************
** HardFault_Handler
*********************************************************************/
void HardFault_Handler(void)
{
    RFLIB_StrobeCmd(CMD_STBY);
    NVIC_SystemReset();
}

/*********************************************************************
** UART0_Handler
*********************************************************************/
void UART0_Handler(void)
{
    Uart0_interrupt();
}

/*********************************************************************
** TIMER0_Handler
*********************************************************************/
void TIMER0_Handler(void)
{
    TIMER0->INTCLEAR = 1;
    Timer0_Interrupt();
    
}

/*********************************************************************
** TIMER1_Handler
*********************************************************************/
void TIMER1_Handler(void)
{
    TIMER1->INTCLEAR = 1;
    Timer1_Interrupt();
}

/*********************************************************************
** DUALTIMER_Handler
*********************************************************************/
void DUALTIMER_Handler(void)
{
    if(DUALTIMER1->MIS & DUALTIMER_MASKINTSTAT_Msk)
    {
        // in period mode, dualtimer will auto set LOAD to VALUE and continue count-down.
        //DualTimer_ClearIRQ(DUALTIMER1);
        DUALTIMER1->INTCLR = 1;
        DualTimer1_Interrupt();
    }
}

/*********************************************************************
** SLPTIMER0_Handler
*********************************************************************/
void SLPTIMER0_Handler(void)
{
    SleepTimer0_Interrupt();
}

/*********************************************************************
** SLPTIMER1_Handler
*********************************************************************/
void SLPTIMER1_Handler(void)
{
    SleepTimer1_Interrupt();
}
