/*****************************************************************************
**               AMICCOM Electronics Corporation Document                   **
**          Copyright (c) 2011-2014 AMICCOM Electronics Corporation         **
**                                                                          **
**      A3,1F,No.1, Li-Hsin 1th Road, Science_Based Industrid Park,         **
**                       Hsin_Chu City, 300, Taiwan, ROC.                   **
**                 Tel: 886-3-5785818   Fax: 886-3-5785819                  **
**         E-mail:info@amiccom.com.tw  http: //www.amiccom.com.tw           **
*****************************************************************************/
#ifndef _EXTERNVAR_H_
#define _EXTERNVAR_H_

#include "define.h"
#include "main.h"
#include "DefineFlag.h"


extern volatile    Uint16  MasterSlot;
extern volatile    Uint8   NodeState[MAXSLAVENODE];

extern volatile    Uint8   NodeLost[MAXSLAVENODE];
extern volatile    Uint8   NodeReceive[MAXSLAVENODE];
extern volatile    Uint8   NodeDisconnect[MAXSLAVENODE];

extern volatile    Uint8   MasterSlaveTxBuff[DATA_Length];
extern volatile    Uint8   MasterSlaveRxBuff[DATA_Length];
extern volatile    Uint8   AddressID[2];

extern volatile    Uint16  SlaveNodeNum;
extern volatile    Uint8   DualTimer1_20msCnt;

extern FLAG_T Flag1;


#ifdef _MAIN_VAL_
volatile    Uint8   Uart_TxLen;
volatile    Uint8   Uart_TxCnt;
volatile    Uint8   UartBuffer[180];

volatile    Uint8   TestDataCnt0;
volatile    Uint8   TestDataCnt1;
volatile    Uint8   TestDataCnt2;
volatile    Uint8   TestReceiveCnt;

Uint8       TestData1;
Uint8       TestData2;
Uint8       TestData3;
Uint8       TestData4;
volatile    Uint32  ADC_Val;
volatile    Uint8   ADC_Val_L;
volatile    Uint8   ADC_Val_H;

///*********************************************************************
//**  RF Library Global Variable Declaration
//*********************************************************************/
volatile    Uint8   ConfigType;
volatile    Uint32  CL_tmp;

////Register for user
Uint32	volatile	CLOCK2_Reg;
Uint32	volatile 	CODE1_Reg;
Uint32	volatile	FIFO_Reg;
Uint32	volatile	TXPWR_Reg;
Uint32	volatile	MODEC2_Reg;
Uint32	volatile	TXCTL_Reg; 
Uint32	volatile	GPIO_Reg;
Uint32	volatile	PLL1_Reg; 
Uint32	volatile	PLL7_Reg;
Uint32	volatile	PWRCTL2_Reg;
Uint32 	volatile	FPCTL_Reg;
Uint32 	volatile	ADC_Reg;
Uint32 	volatile	RTH_Reg;
Uint32 	volatile	ADC12B_CTL_Reg;
Uint32 	volatile	RCCTRL1_Reg;
Uint32 	volatile	RCCTRL2_Reg;
Uint32 	volatile	INTIE_Reg;
Uint32 	volatile	SYN_Reg;
Uint32 	volatile	SYCK_Reg;
Uint32 	volatile	RXCTL_Reg;
Uint32	volatile	PWRCTL1_Reg;

//Backup IO 
Uint32	volatile  OUTEN_Reg;
Uint32	volatile  PUN_Reg;
Uint32	volatile  WUN_Reg;
Uint32	volatile  ALTFUNSET_Reg;

#else
extern volatile    Uint8   Uart_TxLen;
extern volatile    Uint8   Uart_TxCnt;
extern volatile    Uint8   UartBuffer[180];

extern const Uint8 ID_Tab[4];
///*********************************************************************
//**  RF Library Global Variable Declaration
//*********************************************************************/
extern volatile    Uint8   ConfigType;
extern volatile    Uint32  CL_tmp;

////Register for user
extern Uint32	volatile	CLOCK2_Reg;
extern Uint32	volatile 	CODE1_Reg;
extern Uint32	volatile	FIFO_Reg;
extern Uint32	volatile	TXPWR_Reg;
extern Uint32	volatile	MODEC2_Reg;
extern Uint32	volatile	TXCTL_Reg; 
extern Uint32	volatile	GPIO_Reg;
extern Uint32	volatile	PLL1_Reg; 
extern Uint32	volatile	PLL7_Reg;
extern Uint32	volatile	PWRCTL2_Reg;
extern Uint32 	volatile	FPCTL_Reg;
extern Uint32 	volatile	ADC_Reg;
extern Uint32 	volatile	RTH_Reg;
extern Uint32 	volatile	ADC12B_CTL_Reg;
extern Uint32 	volatile	RCCTRL1_Reg;
extern Uint32 	volatile	RCCTRL2_Reg;
extern Uint32 	volatile	INTIE_Reg;
extern Uint32 	volatile	SYN_Reg;
extern Uint32 	volatile	SYCK_Reg;
extern Uint32 	volatile	RXCTL_Reg;

//Backup IO 
extern Uint32	volatile  OUTEN_Reg;
extern Uint32	volatile  PUN_Reg;
extern Uint32	volatile  WUN_Reg;
extern Uint32	volatile  ALTFUNSET_Reg;

#endif

#endif
