/*****************************************************************************
**                                                                          **
**                         AMICCOM Proprietary Document                     **
**               Copyright (c) 2004-2015 AMICCOM Electronics Inc.           **
**                                                                          **
**                                                                          **
*****************************************************************************/
#ifndef _MAIN_H_
#define _MAIN_H_

#include "define.h"
#include "A9139M0.h"
#include "A9139M0_RFLIB.h"
#include "system_A9139M0.h"
#include "Delay.h"


#define ID_ADDRSSS              0xFFF8

/********************************************************************
** Configure Select
*********************************************************************/

#define A40_DR9K6_IFBW100K    0
#define A40_DR50K_IFBW50K     1
#define A40_DR100K_IFBW100K   2
#define A40_DR150K_IFBW150K   3
#define A40_DR250K_IFBW250K   4
#define A40_DR500K_IFBW250K   5
#define A40_DR2M_IFBW250K     6


/********************************************************************/
/*            User Select RF BAND & Data Rate
=====================================================================
*             note: Data Rate 150Kbps Xtal = 19.2MHz
*                   Data Rate 250Kbps Xtal = 16MHz
*                   Data Rate 500Kbps Xtal = 16MHz
*/
#define SelectConfig          A40_DR100K_IFBW100K  // User define

//define value
#define MAXSLAVENODE    512//32// Max Slot

//#define RF_Length       11 //head 6 data 5
#define RF_Length       55 //head 7(6+1) data 48(5+43)

#define DATA_Length     48//head 1 data 48

//#define START_NODE_NUM         100 
/*********************************************************************
**  Node State                                                      **
*********************************************************************/
#define LINK_STATE              0x01
#define DATA_STATE              0x02
#define ASSIGN_STATE            0x04

#endif
